Subject: bug#17172: 24.3.50; Timeouts when pasting from mouse

From: Nicolas Richard <[email-masked]>
Date: Tue, 29 Apr 2014 11:22:38 +0200

Le 17/04/2014 14:10, Jan Djärv a écrit :
> Hello.
> 
> 17 apr 2014 kl. 12:19 skrev Nicolas Richard <[email-masked]>:
> 
>> My current plan is to wait for the bug to happen again. Does that sound
>> right or is there any preparation to do ?
> 
> We really need to see what is going on at the X level, with xscope or
> something like that. We need a repeatable case.

FWIW I have an emacs-in-gdb session where the problem happened -- but no
repeatable case. From what you say, I can do nothing useful with it, but
it's rare enough to see the problem that I'll keep the session open
until you confirm it's useless.

Here's some output from running 'xsel', but it doesn't look too useful (I inserted newlines before the '$' prompt to make it readable).

$ xsel -vvvvvvv -b -o
xsel: Window id: 0x5000001 (unmapped)
xsel: Timestamp: 286764599
xsel: Maximum request size: 4000 bytes
xsel: Got window property: requestor 0x5000001, property 0x2c2, target 0x10f UTF8_STRING, length 77 bytes
 I guess by
the time emacs starts hanging, the problem has already happened ?

$ xsel -vvvvvvv -p -o
xsel: Window id: 0x5000001 (unmapped)
xsel: Timestamp: 286767884
xsel: Maximum request size: 4000 bytes
xsel: Got window property: requestor 0x5000001, property 0x2c2, target 0x10f UTF8_STRING, length 77 bytes
 I guess by
the time emacs starts hanging, the problem has already happened ?

$ xsel -vvvvvvv -s -o
xsel: Window id: 0x5000001 (unmapped)
xsel: Timestamp: 286770152
xsel: Maximum request size: 4000 bytes
xsel: Conversion refused
xsel: Conversion refused

As for a repeatable case, I have no idea where to start from.

-- 
Nico.